/********** mobile under 600px ************/

/************ background image ************/

body.user-login-page,
body.user-register-page,
body.user-password-page {
  background-image: url(/themes/trekblaze/images/mobile.jpg);

  background-repeat: no-repeat;

  background-size: cover;

  background-position: center center;

  background-attachment: fixed;
}

/**************** logo  ******************/

div#block-trekblaze-site-branding {
  display: flex;

  justify-content: center; /*centers logo on mobil screen*/
}

/************** login block ******************/

body.user-login-page .layout-container,
body.user-register-page .layout-container,
body.user-password-page .layout-container {
  color: #fff;

  letter-spacing: 0.5px;

  width: 475px;

  margin: 0 auto;
}

/** General styles for the user login block **/

form#user-login-form,
form#user-register-form,
form#user-pass {
  padding: 0 20px;

  margin: 20px auto;

  border-radius: 5px;

  max-width: 100%;
}

label.js-form-required.form-required {
  letter-spacing: 2px;
}

.form-required::after {
  display: inline-block;

  width: 6px;

  height: 6px;

  margin: 0 0.3em;

  content: "";

  vertical-align: super;

  background-image: url(/themes/trekblaze/images/icons/goldstar.svg);

  background-repeat: no-repeat;

  background-size: 6px 6px;
}

body.user-login-page input,
body.user-register-page input,
body.user-password-page input,
textarea {
  background-color: rgba(0, 0, 0, 0.4);

  display: block;

  width: 100%;

  margin: 10px 0;

  padding: 15px;

  font-size: 16px;

  border: 1px solid #fc0;

  border-radius: 5px;

  box-sizing: border-box;

  font-size: 1rem;

  color: #fff;
}

body.user-register-page input[type="checkbox"]:checked,
input[type="radio"]:checked {
  border-width: 2px;
}

body.user-register-page input[type="checkbox"],
input[type="radio"] {
  display: inline-block;

  width: var(--sp1-5);

  height: var(--sp1-5);

  margin: 0;

  vertical-align: middle;

  border: 1px solid var(--color--gray-60);

  border-radius: 0.1875rem;

  background-color: var(--color--white);

  background-repeat: no-repeat;

  background-position: 50% 50%;

  background-size: var(--sp1) var(--sp1);
}

input[type="checkbox"]:checked {
  background-image: url("data:image/svg+xml,%3Csvg width='17px' height='13px' viewBox='0 0 17 13' version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Cpath d='M14.8232,0.176777 C14.9209,0.0791457 15.0791,0.0791455 15.1768,0.176777 L16.9445,1.94454 C17.0422,2.04217 17.0422,2.20047 16.9445,2.2981 L6.23744,13.0052 C6.13981,13.1028 5.98151,13.1028 5.88388,13.0052 L0.176777,7.2981 C0.0791456,7.20047 0.0791456,7.04218 0.176777,6.94454 L1.94454,5.17678 C2.04217,5.07915 2.20047,5.07915 2.2981,5.17678 L5.88388,8.76256 C5.98151,8.86019 6.13981,8.86019 6.23744,8.76256 L14.8232,0.176777 Z' id='Path' fill='%232494DB' fill-rule='nonzero'%3E%3C/path%3E%3C/svg%3E");
}

body.user-login-page input#edit-submit,
body.user-register-page input#edit-submit,
body.user-password-page input#edit-submit {
  background-color: rgba(
    255,
    204,
    0,
    0.8
  ); /* Lighter shade of primary color on hover */
}

body.user-login-page input#edit-submit:hover,
body.user-register-page input#edit-submit:hover,
body.user-password-page input#edit-submit:hover {
  background-color: rgba(
    243,
    156,
    18,
    0.5
  ); /* Lighter shade of primary color on hover */

  color: #fff;
}

body.user-login-page .item-list a {
  color: #fff;

  text-decoration: none;
}

/*********** register page *************/

input#edit-contact--2 {
  height: 14.0881px;

  cursor: move;

  position: relative;

  top: 24px;

  /* transform: translate(0px, 0px); */

  /* padding-left: 1rem; */

  margin-left: 1rem;
}

/*

=======================================================

  Media

  Queries

  =======================================================*/

@media screen and (min-width: 600px) {
  body.user-login-page,
  body.user-register-page,
  body.user-password-page {
    background-image: url(/themes/trekblaze/images/pc.jpg);
  }
}
